<form class="form-container" [formGroup]="projectFormGroup">
	<mat-form-field>
		<mat-label>Project Name</mat-label>
		<input matInput formControlName="name">
	</mat-form-field>

	<mat-form-field *ngIf="readOnly">
		<mat-label>Language</mat-label>
		<input matInput formControlName="language">
	</mat-form-field>

	<mat-form-field *ngIf="!readOnly">
		<mat-label>Languages</mat-label>
		<mat-select formControlName="language">
			<mat-option [value]="null" disabled>Choose a language</mat-option>
			<mat-option *ngFor="let language of supportedLanguages" [value]="language">{{language}}
			</mat-option>
		</mat-select>
	</mat-form-field>

	<faas-editor-wrapper formControlName="code" [theme]="'vs-dark'" [language]="'java'" [readOnly]="readOnly">
	</faas-editor-wrapper>

	<div class="commands">
		<a *ngIf="readOnly" class="command" (click)="onAditionalInfo()" mat-raised-button color="primary">Additional info</a>
		<a class="command" (click)="openDependenciesWindow()" mat-raised-button color="primary">{{dependencyButtonDisplayText}}</a>
		<a *ngIf="!readOnly" class="command" [disabled]="isSubmitDisabled" (click)="onSubmit()" mat-raised-button color="primary">Submit</a>
		<a *ngIf="readOnly" class="command" (click)="onRefresh()" mat-raised-button color="primary">Refresh</a>
	</div>
</form>